package com.dcs.hnyz.service.impl;

import java.util.Arrays;
import java.util.List;
import com.dcs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dcs.hnyz.mapper.AlarmEventMapper;
import com.dcs.hnyz.domain.AlarmEvent;
import com.dcs.hnyz.service.IAlarmEventService;

/**
 * 告警中心管理Service业务层处理
 * 
 * @author hmy
 * @date 2025-04-30
 */
@Service
public class AlarmEventServiceImpl implements IAlarmEventService 
{
    @Autowired
    private AlarmEventMapper alarmEventMapper;

    /**
     * 查询告警中心管理
     * 
     * @param alarmId 告警中心管理主键
     * @return 告警中心管理
     */
    @Override
    public AlarmEvent selectAlarmEventByAlarmId(Long alarmId)
    {
        return alarmEventMapper.selectById(alarmId);
    }

    /**
     * 查询告警中心管理列表
     * 
     * @param alarmEvent 告警中心管理
     * @return 告警中心管理
     */
    @Override
    public List<AlarmEvent> selectAlarmEventList(AlarmEvent alarmEvent)
    {
        return alarmEventMapper.selectAlarmEventList(alarmEvent);
    }

    /**
     * 新增告警中心管理
     * 
     * @param alarmEvent 告警中心管理
     * @return 结果
     */
    @Override
    public int insertAlarmEvent(AlarmEvent alarmEvent) {
        return alarmEventMapper.insert(alarmEvent);
    }


    /**
     * 修改告警中心管理
     * 
     * @param alarmEvent 告警中心管理
     * @return 结果
     */
    @Override
    public int updateAlarmEvent(AlarmEvent alarmEvent)
    {
//        alarmEvent.setUpdateTime(DateUtils.getNowDate());
        return alarmEventMapper.updateById(alarmEvent);
    }

    /**
     * 批量删除告警中心管理
     * 
     * @param alarmIds 需要删除的告警中心管理主键
     * @return 结果
     */
    @Override
    public int deleteAlarmEventByAlarmIds(Long[] alarmIds)
    {
        return alarmEventMapper.deleteBatchIds(Arrays.asList(alarmIds));
    }

    /**
     * 删除告警中心管理信息
     * 
     * @param alarmId 告警中心管理主键
     * @return 结果
     */
    @Override
    public int deleteAlarmEventByAlarmId(Long alarmId)
    {
        return alarmEventMapper.deleteById(alarmId);
    }
}
